## DzlShortcutsSection

DzlShortcutsSection — Represents an application mode in a DzlShortcutsWindow

## Properties

guint | max-height | Read / Write
char * | section-name | Read / Write
char * | title | Read / Write
char * | view-name | Read / Write

## Signals

gboolean | change-current-page | Action

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── DzlShortcutsSection

## Description

A DzlShortcutsSection collects all the keyboard shortcuts and gestures for a major application mode. If your application needs multiple sections, you should give each section a unique “section-name” and a “title” that can be shown in the section selector of the DzlShortcutsWindow.

The “max-height” property can be used to influence how the groups in the section are distributed over pages and columns.

This widget is only meant to be used with DzlShortcutsWindow.

## Functions

## Property Details

### The `“max-height”` property

      “max-height”               guint

The maximum number of lines to allow per column. This property can be used to influence how the groups in this section are distributed across pages and columns. The default value of 15 should work in for most cases.

Owner: DzlShortcutsSection

Flags: Read / Write

Default value: 15

### The `“section-name”` property

      “section-name”             char *

A unique name to identify this section among the sections added to the DzlShortcutsWindow. Setting the “section-name” property to this string will make this section shown in the DzlShortcutsWindow.

Owner: DzlShortcutsSection

Flags: Read / Write

Default value: NULL

### The `“title”` property

      “title”                    char *

The string to show in the section selector of the DzlShortcutsWindow for this section. If there is only one section, you don't need to set a title, since the section selector will not be shown in this case.

Owner: DzlShortcutsSection

Flags: Read / Write

Default value: NULL

### The `“view-name”` property

      “view-name”                char *

A view name to filter the groups in this section by. See “view”.

Applications are expected to use the “view-name” property for this purpose.

Owner: DzlShortcutsSection

Flags: Read / Write

Default value: NULL

## Signal Details

### The `“change-current-page”` signal

    gboolean
    user_function (DzlShortcutsSection *dzlshortcutssection,
                   int                  arg1,
                   gpointer             user_data)

Flags: Action